Tycho cannot find local target dependencies

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Tycho cannot find local target dependencies

crepuscule31
This post has NOT been accepted by the mailing list yet.
This post was updated on .
   When building a simple Tycho project against a target definition file pointing to local eclipse installation (not a remote repository), Tycho cannot find org.eclipse.ui (and in fact any other bundle dependencies !).

[DEBUG] P2resolver.addMavenProject tychodemo:tychodemo.target:pom:1.0.0-SNAPSHOT
[DEBUG] P2resolver.addMavenProject tychodemo:tychodemo.parent:pom:1.0.0-SNAPSHOT
[INFO] Cannot complete the request.  Generating details.
[INFO] Cannot complete the request.  Generating details.
[INFO] {org.osgi.framework.executionenvironment=OSGi/Minimum-1.0,OSGi/Minimum-1.1, osgi.ws=win32, osgi.arch=x86, osgi.os=win32, org.eclipse.update.install.features=true, org.osgi.framework.system.packages=}
[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: tychodemo.bundle 1.0.0.qualifier
[ERROR]   Missing requirement: tychodemo.bundle 1.0.0.qualifier requires 'bundle org.eclipse.core.runtime 0.0.0' but it could not be found
[ERROR] 


   The bundles are in the target. Under Eclipse with this target definition file as target platform everything compiles well.
   My project is the same as the one in EclipseCon tutorial. I have just replaced the target definition file with mine that points to a local eclipse installation instead of a remote update site.

   Any idea ? Thanks !
Loading...